Bug 11586 - Возможность сборки hasher'ом пакетов _не_ для ALT
: Возможность сборки hasher'ом пакетов _не_ для ALT
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/hasher)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-04-20 13:40 by
Modified: 2007-09-18 16:51 (History)


Attachments
одно из решений проблемы (737 bytes, patch)
2007-05-22 17:56, Denis Pynkin
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-04-20 13:40:37
в hsh-sh-rebuild-functions добавить %_topdir и, на всякий случай, %_tmppath 

cat >>/usr/src/.rpmmacros <<EOF
%packager \$packager
%_topdir        \$HOME/RPM
%_tmppath       \$HOME/tmp
EOF

для совместимости с другими дистрами (тестировалось для SLES9)
иначе отрабатывает нормально, но после сборки не находит собранных пакетов
------- Comment #1 From 2007-04-21 03:58:24 -------
Неиспользование макроса %homedir -- это всё, что нужно для обеспечения
совместимости?
------- Comment #2 From 2007-04-23 12:15:42 -------
(In reply to comment #1)
> Неиспользование макроса %homedir -- это всё, что нужно для обеспечения
> совместимости?

боюсь, что нет
там же ниже прописаны абсолютные пути, где искать полученные RPMs и SRPMs
соответственно : /usr/src/RPM/{RPMS,SRPMS}

а для дистров они различаются:
ALT: /usr/src/RPM/....
SLES: /usr/src/packages/...

в идеале было бы хорошо абсолюты заменить на %_topdir и %_srcrpmdir при поиске и
тогда не переопределять
------- Comment #3 From 2007-04-30 02:50:12 -------
У меня к вам просьба: приаттачьте такой вариант /usr/src/.rpmmacros, который,
по
вашему мнению, будет работать правильно везде, где вы можете это проверить.
------- Comment #4 From 2007-05-21 15:52:44 -------
*ping*
------- Comment #5 From 2007-05-22 17:56:12 -------
Created an attachment (id=1985) [details]
одно из решений проблемы
------- Comment #6 From 2007-05-22 17:56:48 -------
прошу прощения. ушел с головой в работу
но нет худа без добра
более "правильный" путь, наверное, все же искать в "правильных местах"
посмотрите в аттаче мое решение - может быть подойдет
------- Comment #7 From 2007-06-09 12:15:28 -------
ping

PS аналог (к сожалению пока приходится патчить то, что есть) хорошо оттестирован
на SLES9,10, RHEL4,5
------- Comment #8 From 2007-09-18 04:47:11 -------
Try 1.2.6-alt1-5-ge6ea5dd.
------- Comment #9 From 2007-09-18 15:09:55 -------
Fixed in 1.2.7-alt1.
------- Comment #10 From 2007-09-18 16:51:40 -------
вау. :)